.review-modal{
  position:fixed;
  inset:0;

  background:rgba(0,0,0,.6);

  display:flex;
  align-items:center;
  justify-content:center;

  z-index:99999;
}

.review-modal-content{
  width:90%;
  max-width:380px;

  background:#fff;

  border-radius:16px;

  padding:20px;
  max-height:90vh;
  overflow-y:auto;

  position:relative;
}

.review-close-btn{
  position:absolute;
  top:10px;
  right:10px;

  border:none;
  background:none;

  font-size:24px;

  cursor:pointer;
}

.review-stars{
  display:flex;
  gap:8px;

  margin:16px 0;
}

.review-stars button{
  border:none;
  background:none;

  font-size:28px;

  color:#ccc;

  cursor:pointer;
}

#reviewForm{
  display:flex;
  flex-direction:column;
  gap:12px;
}

#reviewForm input,
#reviewForm textarea{
  width:100%;

  padding:12px;

  border:1px solid #ddd;

  border-radius:10px;
}

#reviewForm textarea{
  min-height:120px;
}

#submitReviewBtn{
  border:none;

  background:#f4b400;

  color:#000;

  padding:14px;

  border-radius:10px;

  font-weight:700;

  cursor:pointer;
}

.review-stars button.active{
  color:#f4b400;
}